seafile-client (8.0.10+ds1-1) unstable; urgency=medium

  * New upstream version 8.0.10+ds1
  * Bump Standards-Version
  * Add patch to fix cmake

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Fri, 30 Dec 2022 10:46:41 +0100

seafile-client (8.0.9+ds1-1) unstable; urgency=medium

  * New upstream version 8.0.9+ds1

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Thu, 24 Nov 2022 15:01:08 +0100

seafile-client (8.0.8+ds1-1) unstable; urgency=medium

  * New upstream version 8.0.8+ds1
  * Always build against WebKit (Closes: #1016477)
  * Avoid explicitly specifying -Wl,--as-needed linker flag

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Wed, 03 Aug 2022 08:53:47 +0200

seafile-client (8.0.7+ds1-1) unstable; urgency=medium

  * New upstream version 8.0.7
  * Bump libsearpc dependency

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Tue, 03 May 2022 22:15:44 +0200

seafile-client (8.0.6+ds1-2) unstable; urgency=medium

  * Set source-Upstream-Version to the *actual* upstream version
    without repack suffix (Closes: #1008826)

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Mon, 04 Apr 2022 11:42:59 +0200

seafile-client (8.0.6+ds1-1) unstable; urgency=medium

  * Prepare watch file with repack suffix for next time
  * New upstream version 8.0.6+ds1

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Thu, 31 Mar 2022 08:46:45 +0200

seafile-client (8.0.5-1) unstable; urgency=medium

  * Fix some lintian warnings
  * New upstream version 8.0.5

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Mon, 22 Nov 2021 20:08:58 +0100

seafile-client (8.0.4-1) unstable; urgency=medium

  * New upstream version 8.0.4

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Wed, 22 Sep 2021 21:40:42 +0200

seafile-client (8.0.3-1) unstable; urgency=medium

  * Bump debhelper, Standards-Version and watch standard
  * New upstream version 8.0.3
    * Add V4 encryption library support, which will be available in server 8.0
    * Upgrade Qt version to 5.15.1 (which supports TLS 1.3)
    * [Linux] Fix compatibility to new GLib versions
  * Drop QT 5.15 Patch

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Tue, 07 Sep 2021 10:30:22 +0200

seafile-client (7.0.10-3) unstable; urgency=medium

  * Fix string concatenation in d/rules (Closes: #979571)

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Fri, 08 Jan 2021 21:43:38 +0100

seafile-client (7.0.10-2) unstable; urgency=medium

  * Fix Cmake Flag for Webkit Usage

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Wed, 11 Nov 2020 13:42:28 +0100

seafile-client (7.0.10-1) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Drop transition for old debug package migration.

  [ Moritz Schlarb ]
  * New upstream version 7.0.10
  * Refresh patches and add one to build against Qt 5.15
  * Update d/rules for new webkit flag

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Wed, 11 Nov 2020 12:45:36 +0100

seafile-client (7.0.8-1) unstable; urgency=medium

  * Update QuaZip Patch (Closes: #963280)
  * New upstream version 7.0.8

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Wed, 08 Jul 2020 11:30:17 +0200

seafile-client (7.0.7-1) unstable; urgency=medium

  * New upstream version 7.0.7

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Tue, 12 May 2020 09:39:25 +0200

seafile-client (7.0.6-1) unstable; urgency=medium

  * Add lintian override version-substvar-for-external-package
  * allow failure of piuparts, because missing ca-certificates
  * Update Standards-Version and use declarative dh
  * New upstream version 7.0.6

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Thu, 13 Feb 2020 09:56:25 +0100

seafile-client (7.0.5-1) unstable; urgency=medium

  * New upstream version 7.0.5
  * Refresh patches

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Tue, 14 Jan 2020 12:08:38 +0100

seafile-client (7.0.4-1) unstable; urgency=medium

  * New upstream version 7.0.4
  * Update dependency version searpc

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Mon, 25 Nov 2019 10:56:49 +0100

seafile-client (7.0.2-2) unstable; urgency=high

  * Fix versioned dependencies (Closes: #943789)

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Wed, 30 Oct 2019 11:18:13 +0100

seafile-client (7.0.2-1) unstable; urgency=medium

  * Use secure URI in Homepage field.
  * New upstream version 7.0.2
  * Drop upstreamed patch 0005
  * Update gitlab-ci.yml
  * Add patch for cli-help (Upstream PR#1223)
  * Update d/control

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Tue, 08 Oct 2019 15:07:37 +0200

seafile-client (6.2.11-1) unstable; urgency=medium

  * New upstream version 6.2.11
  * Update Standards-Version

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Tue, 29 Jan 2019 20:19:41 +0100

seafile-client (6.2.9-2) unstable; urgency=medium

  * Add Patch from #988: Accept close event instead of ignoring it

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Thu, 10 Jan 2019 12:16:40 +0100

seafile-client (6.2.9-1) unstable; urgency=medium

  * Add some Files-Excluded to d/copyright
  * New upstream version 6.2.9

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Tue, 11 Dec 2018 15:30:07 +0100

seafile-client (6.2.7-1) unstable; urgency=medium

  * New upstream version 6.2.7

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Sun, 25 Nov 2018 21:02:28 +0100

seafile-client (6.2.5-6) unstable; urgency=medium

  * Add Salsa Pipeline (https://salsa.debian.org/salsa-ci-team/pipeline)
  * Be more strict and explicit about dependency versions.
  * Remove DEP-8 Test Suite for now.

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Mon, 12 Nov 2018 14:55:54 +0100

seafile-client (6.2.5-5) unstable; urgency=medium

  * Fix DEP-8 test suite

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Fri, 09 Nov 2018 21:03:42 +0100

seafile-client (6.2.5-4) unstable; urgency=medium

  * Use more intelligent approach for QtWebEngine/QtWebKit detection
  * Add basic (superficial) autopkgtest suite

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Fri, 09 Nov 2018 12:38:41 +0100

seafile-client (6.2.5-3) unstable; urgency=medium

  * Explicitly list arch-dependent dependencies on qtwebengine or qtwebkit

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Fri, 09 Nov 2018 09:31:12 +0100

seafile-client (6.2.5-2) unstable; urgency=medium

  * Allow building with qtwebkit when qtwebengine is not available
    - should fix builds for armel, mips, mips64el, ppc64el, s390x et. al.

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Thu, 08 Nov 2018 21:58:18 +0100

seafile-client (6.2.5-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces

  [ Moritz Schlarb ]
  * Change Maintainer to Debian Seafile Team
  * New upstream version 6.2.5
  * Update Standards-Version
  * Update dependency version of libsearpc

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Thu, 08 Nov 2018 11:59:07 +0100

seafile-client (6.2.4-1) unstable; urgency=medium

  * New upstream version 6.2.4

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Tue, 07 Aug 2018 10:58:27 +0200

seafile-client (6.2.0-1) unstable; urgency=medium

  * New upstream version 6.2.0
  * Use qtwebengine instead of qtwebkit
  * Build and run test suite
  * Remove ccnet dependency and raise versioned deps

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Wed, 27 Jun 2018 20:39:54 +0200

seafile-client (6.1.8-1) unstable; urgency=medium

  * Add Suggests: seafile-cli
  * Streamline d/copyright and d/rules
  * New upstream version 6.1.8
  * Don't use bundled QuaZip

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Sat, 02 Jun 2018 14:38:58 +0200

seafile-client (6.1.7-1) unstable; urgency=medium

  * Move Vcs-* to Salsa
  * New upstream version 6.1.7
  * Update and cleanup d/{control,rules}
  * Add Patch to add Keywords to .desktop file

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Tue, 24 Apr 2018 10:42:38 +0200

seafile-client (6.1.5-1) unstable; urgency=medium

  * New upstream version 6.1.5

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Fri, 16 Feb 2018 09:23:40 +0100

seafile-client (6.1.4-1) unstable; urgency=medium

  * New upstream version 6.1.4

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Wed, 20 Dec 2017 16:06:11 +0100

seafile-client (6.1.3-2) unstable; urgency=medium

  * add OpenSSL 1.1 patch from
    https://github.com/haiwen/seafile-client/commit/10feb6038a1197a532cf7e47cbe0a977a72da1b0
    and
    https://github.com/haiwen/seafile-client/commit/3a547b8ab392e0419488eb4aa633f9b31f0ccaf4
    (closes: #859716)

 -- Christoph Martin <martin@uni-mainz.de>  Thu, 23 Nov 2017 15:34:31 +0100

seafile-client (6.1.3-1) unstable; urgency=medium

  * New upstream version 6.1.3

 -- Christoph Martin <martin@uni-mainz.de>  Tue, 21 Nov 2017 16:18:01 +0100

seafile-client (6.1.1-1) unstable; urgency=medium

  * New upstream version 6.1.1

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Mon, 25 Sep 2017 14:28:37 +0200

seafile-client (6.1.0-2) unstable; urgency=medium

  * Add patch to remove mismatching icon file

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Wed, 09 Aug 2017 15:03:09 +0200

seafile-client (6.1.0-1) UNRELEASED; urgency=medium

  * New upstream version 6.1.0

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Tue, 08 Aug 2017 10:32:15 +0200

seafile-client (6.0.7-1) unstable; urgency=medium

  * New upstream version 6.0.7
  * Migration from -dbg to -dbgsym packages
  * add hardening flags

 -- Christoph Martin <martin@uni-mainz.de>  Wed, 26 Jul 2017 14:28:48 +0200

seafile-client (6.0.6-1) unstable; urgency=medium

  * New upstream version 6.0.6

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Wed, 10 May 2017 15:38:29 +0200

seafile-client (6.0.4-1) unstable; urgency=medium

  * New upstream version 6.0.4
  * Fix watch file

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Sun, 12 Mar 2017 17:44:47 +0100

seafile-client (6.0.1+git20161227.7b0b837-2) unstable; urgency=medium

  * add license statement for fontawesome.ttf

 -- Christoph Martin <martin@uni-mainz.de>  Thu, 02 Mar 2017 16:21:56 +0100

seafile-client (6.0.1+git20161227.7b0b837-1) unstable; urgency=medium

  * initial Debian release

 -- Christoph Martin <martin@uni-mainz.de>  Wed, 28 Dec 2016 13:17:15 +0100

seafile-gui (6.0.1) unstable; urgency=low

  * new upstream release

 -- Jonathan Xu <jonathan.xu@seafile.com>  Mon, 12 Dec 2016 14:51:07 +0800

seafile-gui (6.0.0) unstable; urgency=low

  * new upstream release

 -- Jonathan Xu <jonathan.xu@seafile.com>  Fri, 14 Oct 2016 13:49:07 +0800

seafile-gui (5.1.4) unstable; urgency=low

  * new upstream release

 -- Jonathan Xu <jonathan.xu@seafile.com>  Fri, 29 Jul 2016 14:06:38 +0800

seafile-gui (5.1.3-1ubuntu1) UNRELEASED; urgency=medium

  * new upstream release

 -- m.eik michalke <meik.michalke@hhu.de>  Fri, 01 Jul 2016 00:04:38 +0200

seafile-gui (5.1.2-5ubuntu2) unstable; urgency=medium

  * fixed package dependencies

 -- m.eik michalke <meik.michalke@hhu.de>  Sat, 18 Jun 2016 12:20:04 +0200

seafile-gui (5.1.2-5ubuntu1) unstable; urgency=medium

  * repackaging with cleaned up orig.tar.xz archives
  * improved the debian/control file

 -- m.eik michalke <meik.michalke@hhu.de>  Fri, 17 Jun 2016 19:22:13 +0200

seafile-gui (5.1.2-4) unstable; urgency=medium

  * adjusted build dependencies
  * updated the debian/copyright notice so people know who's responisble for the packaging
  * rewrote the rules file, much simpler now
  * prep for release on github

 -- m.eik michalke <meik.michalke@hhu.de>  Thu, 16 Jun 2016 01:06:50 +0200
